
Foreman - Bug #33660

Ignore dynflow tables for schema dump

10/07/2021 12:03 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Database   

Target version:    

Difficulty:  Fixed in Releases: 3.3.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8822

  

Description

Ruby schema dump contains dynflow tables again, which is causing issues with foreign keys with multi-column PKs.

Regression introduced in https://github.com/theforeman/foreman/pull/8660

Associated revisions

Revision e7b09b5b - 03/03/2022 07:29 AM - Lukas Zapletal

Fixes #33660 - ignore dynflow tables for dump

Signed-off-by: Lukas Zapletal <lzap+git@redhat.com>

History

#1 - 10/07/2021 12:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8822 added

#2 - 03/03/2022 07:29 AM - The Foreman Bot

- Fixed in Releases 3.3.0 added

#3 - 03/03/2022 08:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|e7b09b5b582d925365fdae90913cec44b29632e4.
